Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(115)

Issue 2797683002: Network traffic annotation added to install_signer. (Closed)

Created:
8 months, 2 weeks ago by Ramin Halavati
Modified:
7 months ago
CC:
chromium-apps-reviews_chromium.org, chromium-reviews, extensions-reviews_chromium.org, Sorin Jianu
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Network traffic annotation added to install_signer. Network traffic annotation is added to network request of: chrome/browser/extensions/install_signer.cc BUG=656607 Review-Url: https://codereview.chromium.org/2797683002 Cr-Commit-Position: refs/heads/master@{#472774} Committed: https://chromium.googlesource.com/chromium/src/+/882e84aeece1a7166cd898354e21008aefabf00e

Patch Set 1 #

Total comments: 12

Patch Set 2 : Annotation updated. #

Total comments: 4

Patch Set 3 : Comment addressed. #

Patch Set 4 : Annotation updated. #

Messages

Total messages: 38 (13 generated)
Ramin Halavati
We are annotating all network requests in Chromium with a new NetworkTrafficAnnotation scheme. This allows ...
8 months, 2 weeks ago (2017-04-04 11:46:24 UTC) #2
Ken Rockot(use gerrit already)
Deferring to Devlin as extensions TL. I'm not sure how you want to fill this ...
8 months, 1 week ago (2017-04-10 21:16:41 UTC) #4
Ramin Halavati
On 2017/04/10 21:16:41, Ken Rockot wrote: > Deferring to Devlin as extensions TL. I'm not ...
8 months, 1 week ago (2017-04-11 05:22:33 UTC) #5
Ramin Halavati
On 2017/04/11 05:22:33, Ramin Halavati wrote: > On 2017/04/10 21:16:41, Ken Rockot wrote: > > ...
8 months ago (2017-04-18 11:28:21 UTC) #6
Devlin
I don't know about cookies usage for this. +sorin@ might? https://codereview.chromium.org/2797683002/diff/1/chrome/browser/extensions/install_signer.cc File chrome/browser/extensions/install_signer.cc (right): https://codereview.chromium.org/2797683002/diff/1/chrome/browser/extensions/install_signer.cc#newcode380 ...
8 months ago (2017-04-19 20:27:07 UTC) #8
Sorin Jianu
Antony Sargent might know someone that knows.
8 months ago (2017-04-19 22:50:01 UTC) #11
asargent_no_longer_on_chrome
On 2017/04/19 22:50:01, Sorin Jianu wrote: > Antony Sargent might know someone that knows. I ...
8 months ago (2017-04-20 00:03:55 UTC) #12
Ramin Halavati
On 2017/04/20 00:03:55, asargent_no_longer_on_chrome wrote: > On 2017/04/19 22:50:01, Sorin Jianu wrote: > > Antony ...
7 months, 4 weeks ago (2017-04-20 07:55:17 UTC) #13
Devlin
On 2017/04/20 07:55:17, Ramin Halavati wrote: > On 2017/04/20 00:03:55, asargent_no_longer_on_chrome wrote: > > On ...
7 months, 4 weeks ago (2017-04-20 14:14:17 UTC) #14
Ramin Halavati
Thank you very much, annotation updated, please review. I assumed the cookie_store is 'user', is ...
7 months, 4 weeks ago (2017-04-21 05:50:41 UTC) #15
Devlin
On 2017/04/21 05:50:41, Ramin Halavati wrote: > I assumed the cookie_store is 'user', is it ...
7 months, 3 weeks ago (2017-04-24 15:19:24 UTC) #16
Ramin Halavati
On 2017/04/24 15:19:24, Devlin wrote: > On 2017/04/21 05:50:41, Ramin Halavati wrote: > > I ...
7 months, 3 weeks ago (2017-04-25 05:45:33 UTC) #17
Devlin
lgtm
7 months, 3 weeks ago (2017-04-26 19:31:47 UTC) #18
Ramin Halavati
Thank you very much. Martin/Dominic, Any comments?
7 months, 3 weeks ago (2017-04-27 05:13:33 UTC) #20
msramek
https://codereview.chromium.org/2797683002/diff/20001/chrome/browser/extensions/install_signer.cc File chrome/browser/extensions/install_signer.cc (right): https://codereview.chromium.org/2797683002/diff/20001/chrome/browser/extensions/install_signer.cc#newcode388 chrome/browser/extensions/install_signer.cc:388: "salted hash of the user's machine id." If I'm ...
7 months, 2 weeks ago (2017-05-03 16:08:27 UTC) #22
Devlin
https://codereview.chromium.org/2797683002/diff/20001/chrome/browser/extensions/install_signer.cc File chrome/browser/extensions/install_signer.cc (right): https://codereview.chromium.org/2797683002/diff/20001/chrome/browser/extensions/install_signer.cc#newcode388 chrome/browser/extensions/install_signer.cc:388: "salted hash of the user's machine id." On 2017/05/03 ...
7 months, 1 week ago (2017-05-08 15:19:02 UTC) #23
Ramin Halavati
On 2017/05/08 15:19:02, Devlin (catching up) wrote: > https://codereview.chromium.org/2797683002/diff/20001/chrome/browser/extensions/install_signer.cc > File chrome/browser/extensions/install_signer.cc (right): > > ...
7 months ago (2017-05-17 05:18:36 UTC) #24
msramek
https://codereview.chromium.org/2797683002/diff/20001/chrome/browser/extensions/install_signer.cc File chrome/browser/extensions/install_signer.cc (right): https://codereview.chromium.org/2797683002/diff/20001/chrome/browser/extensions/install_signer.cc#newcode388 chrome/browser/extensions/install_signer.cc:388: "salted hash of the user's machine id." On 2017/05/08 ...
7 months ago (2017-05-17 22:22:04 UTC) #25
Ramin Halavati
Thanks Martin, Devlin. Comment addressed, please review. https://codereview.chromium.org/2797683002/diff/20001/chrome/browser/extensions/install_signer.cc File chrome/browser/extensions/install_signer.cc (right): https://codereview.chromium.org/2797683002/diff/20001/chrome/browser/extensions/install_signer.cc#newcode388 chrome/browser/extensions/install_signer.cc:388: "salted hash ...
7 months ago (2017-05-18 05:01:14 UTC) #26
Ramin Halavati
On 2017/05/18 05:01:14, Ramin Halavati wrote: > Thanks Martin, Devlin. > Comment addressed, please review. ...
7 months ago (2017-05-18 09:00:33 UTC) #27
msramek
Thanks! I like the current version a lot. LGTM.
7 months ago (2017-05-18 09:46:37 UTC) #28
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2797683002/60001
7 months ago (2017-05-18 09:50:09 UTC) #31
commit-bot: I haz the power
Try jobs failed on following builders: win_chromium_x64_rel_ng on master.tryserver.chromium.win (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.win/builders/win_chromium_x64_rel_ng/builds/430378)
7 months ago (2017-05-18 11:25:02 UTC) #33
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2797683002/60001
7 months ago (2017-05-18 11:26:32 UTC) #35
commit-bot: I haz the power
7 months ago (2017-05-18 12:06:56 UTC) #38
Message was sent while issue was closed.
Committed patchset #4 (id:60001) as
https://chromium.googlesource.com/chromium/src/+/882e84aeece1a7166cd898354e21...

Powered by Google App Engine
This is Rietveld 0eb02b776